Bug 38937 - number of amavis processes should be configured via ucr
number of amavis processes should be configured via ucr
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: Mail
UNSTABLE
Other Linux
: P5 enhancement (vote)
: UCS 3.2-6-errata
Assigned To: Daniel Tröder
Sönke Schwardt-Krummrich
:
Depends on: 37653 38949
Blocks:
  Show dependency treegraph
 
Reported: 2015-07-16 18:07 CEST by Sönke Schwardt-Krummrich
Modified: 2015-07-28 15:02 CEST (History)
5 users (show)

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Sönke Schwardt-Krummrich univentionstaff 2015-07-16 18:07:26 CEST
This has to be backported for UCS 3.2, too.

+++ This bug was initially created as a clone of Bug #37653 +++

In larger mail environments check for spam could delay the mail processes. It would be nice to configure the maximum amaivs processes. You have to edit two template files:

/etc/univention/templates/files/etc/amavis/conf.d/60-univention

the important variable is:
$max_servers  =  2

In order to:
# You may want $max_servers to match the width of your MTA pipe
# feeding amavisd, e.g. with Postfix the 'Max procs' field in the
# master.cf file, like the '2' in the:  smtp-amavis unix - - n - 2 smtp

you also have to set the number in the postfix master.cf template:

/etc/univention/templates/files/etc/postfix/master.cf.d/30_antivir

smtp-amavis unix -      -       n     -       2  smtp
Comment 1 Daniel Tröder univentionstaff 2015-07-17 16:26:49 CEST
Commits 62191 - 62193 add a new UCRV mail/antivir/max_servers to configure the max. number of concurrent Amavis processes. When unset "2" is used, not changing the current default.

YAML commit 62218:
* 2015-07-17-univention-mail-postfix.yaml
* 2015-07-17-univention-antivir-mail.yaml
Comment 2 Sönke Schwardt-Krummrich univentionstaff 2015-07-23 14:40:52 CEST
Checked following commits:

univention-mail-postfix (8.0.13-11):
r62215 | Bug #38937: fix wrong bug number
r62214 | Bug #37653: Add UCR variable mail/antivir/max_servers to configure max. concurrent Amavis processes
r62213 | Bug #37653: copyright date fix

2015-07-17-univention-antivir-mail.yaml:
r62218 | YAML Bug #38937

2015-07-17-univention-mail-postfix.yaml:
r62218 | YAML Bug #38937

univention-antivir-mail (5.0.0-5):
r62209 | Bug #38937: Add UCR variable mail/antivir/max_servers to configure max. concurrent Amavis processes

OK: code change
OK: YAML
OK: functional test